LINUX.ORG.RU

Релиз Qt 4.8.7

 , ,


0

1

Разработчики из компании The Qt Company рады сообщить, что спустя целый год после выхода Qt 4.8.6, состоялся релиз новой версии фреймворка четвёртой ветки. Qt 4.8.7 содержит важные обновления безопасности, в частности, устранение нескольких критических уязвимостей, улучшенную поддержку OS X 10.10 и множество исправленных ошибок. Всего в релиз было включено более 150 различных улучшений и исправлений. Несмотря на такое большое количество принятых изменений, новая версия не добавляет новую функциональность, ограничиваясь поддержкой существующей, поэтому релиз следует считать корректирующим. Qt 4.8.7 сохраняет как прямую, так и обратную совместимость с предыдущими (Qt 4.8.x) версиями библиотеки.

Основные исправления уязвимостей:

  • Устранена DoS-уязвимость CVE-2015-0295 в обработчике изображений BPM-формата;
  • Устранены различные уязвимости в обработчиках изображений разных форматов:
  • Обновлёна внутренняя библиотека libpng до версии 1.16.17, в которой исправлены уязвимости предыдущей версии;
  • Обновлёна внутренняя библиотека libtiff до версии 4.0.3, в которой исправлены уязвимости предыдущей версии.

Более подробный список изменений и улучшений внесённых в Qt 4.8.7 вы можете посмотреть здесь.

Tuukka Turunen (R&D-директор The Qt Company) призвал разработчиков, использующих для разработки приложений Qt 4, переходить на Qt 5:

Многие пользователи уже перенесли свои активные проекты на Qt 5, и мы призываем остальных сделать так же. Благодаря высокой совместимости на уровне исходного кода между Qt 4 и Qt 5, мы добились того, что миграция вашего проекта на Qt 5 будет выполнена быстро, просто и гладко. Следует отметить, что Qt 4.8.7 в операционной системе OS X 10.10 Yosemite обеспечивает только базовую функциональность, необходимую для запуска и работы приложений, основанных на фреймворке Qt четвёртой ветки. Полная поддержка этой операционной системы реализована и будет дорабатываться только в Qt 5.

Qt 4.8.7 скорее всего будет последним патч-релизом четвёртой ветки Qt. Стандартная поддержка Qt 4 заканчивается в декабре 2015 года, после чего будет доступна расширенная поддержка. Мы рекомендуем всем активным проектам начать миграцию на Qt 5, поскольку Qt 4.8.x не будет осуществлять поддержку новых компиляторов и операционных систем.

Пакеты с исходным кодом и установщики Qt 4.8.7 доступны для загрузки как из Qt Account (для коммерческих пользователей) так и с сервера The Qt Company.

Доступные для загрузки пакеты Qt 4.8.7

>>> Подробности

★★★★★

Проверено: fallout4all ()

Тёплый ламповый кьют, годно!

haku ★★★★★ ()
Ответ на: комментарий от a1batross

может и не сырой, но ШГ так никто и не исправил.

pftBest ★★★★ ()

Qt рулит, перейти с 4 на 5 было легко, правда сетевые классы там пришлось перелопатить на новое. Это я к тому, что не сильно надо держаться за Qt4, несмотря на известные траблы под оффтопик ;)

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

А можно поподробнее? У меня как раз-таки были траблы с четвертой веткой и пришлось прогу переписывать под 5-й Qt, ибо там все более-менее вменяемо.

RiseOfDeath ★★★★ ()

Обновлёна

кто такая «обновлёна» и зачем её располагать? (c)

d ★★★ ()
Ответ на: комментарий от I-Love-Microsoft

Трей например поломан совсем. И с XForward беда. Шрифты/темы - то такое, мелочи.

vasily_pupkin ★★★★★ ()

О,неужели съехавшие надписи на кнопках в макоси 10.10 поправили? Я по ним уже научился отличать приложения на кьюте. Микрософтовский ремоут десктоп в частности в их числе оказался.

asaw ★★★★★ ()
Ответ на: комментарий от keyran

Ничего не исправили. у меня Qt 5.4.1 и шрифты выглядят совсем не так как в Qt4, gtk2, gtk3 и прочих тулкитах.

pftBest ★★★★ ()
Ответ на: комментарий от pftBest

В Qt 5.4.1 пофикшены шрифты. По-крайней мере на GNU/Linux они теперь идентичны Qt 4. Уверен, что у тебя именно Qt 5.4.1? Скрин с подтверждением бы. Лично у меня в системе что в Qt 4, что в Qt 5 теперь одинаковый рендеринг. Отличий нет. А раньше были немного блёклые.

EXL ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

несмотря на известные траблы под оффтопик

Интересно, пофиксили ли они там шрифты в диалогах, вызываемых с помощью QMessageBox.

EXL ★★★★★ ()
Ответ на: комментарий от EXL

да, верно, проблемы с блеклым текстом уже не видно. стал ковырять настройки и оказалось у меня в системе Qt5 почему-то использует другое начертание шрифта (Regular вместо Medium) и текст кажется светлым. В KDE я смог это исправить утилитой qt5ct, но в lxde она не работает. а другого способа настроить шрифты я не нашел :(

pftBest ★★★★ ()
Ответ на: комментарий от a1batross

Чисто так побрюзжать: Qt5 кажись не входит в LSB. И на богомерзком RHEL/CentOS/Scientific Linux 7, несмотря на недавний релиз, пятерочки нет в стоке.

dmitrmax ()

Чё-то я уже перестал успевать следить, как бедный кьюти передают как срущегося котэ от одного хозяина другому. Троллтех, Нокиа, Диджиа, теперь The Qt Company. Когда это кончится?

dmitrmax ()
Ответ на: комментарий от dmitrmax

The qt company вроде «subsidiary » или как это называется от Digia. Команда троллей как была так и осталась, они сами себя так называют, если в чатике у них посидеть. ИМХО, на качестве процесса разработки это не сказывается, разве что на направлении чуток.

mapron ()

Хм, за сутки всего одна страница. Qtкапец близок.

anonymous ()
Ответ на: комментарий от anonymous

Напиши потоньше и попробуй снова.

anonymous ()

Когда там вирткоробку, скайп и psi перепишут на qt5?.... или на gtk3

Знаю, что «ненужно», но всё же :-)

BeerSeller ★★★★ ()
Последнее исправление: BeerSeller (всего исправлений: 1)

улучшенную поддержку OS X 10.10

А про _это_ можно поподробнее?

А я запасусь попкорном и «Пепси-Колой».

Bioreactor ★★★★★ ()
Ответ на: комментарий от I-Love-Microsoft

, несмотря на известные траблы под оффтопик

А что за траблы, можно подробнее?

normann ★★ ()
Ответ на: комментарий от normann

А что за траблы, можно подробнее?

EXL специалист в этом, меня то всё устраивает, а вот под онтопик с треем траблы :)

I-Love-Microsoft ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.